/*
 * Copyright (C) 2000-2006 by ETH Zurich
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ETH ZURICH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ETH ZURICH
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.btnode.ethz.ch
 *
 */

/**
 * @file bt_l2cap_contype_dispatch.h
 *
 *\author Mustafa Yuecel <mustafa.yuecel@alumni.ethz.ch>
 * 
 *\date 2006-08-19
 * 
 *\brief A dispatcher for L2CAP connection-oriented and connectionless
 *
 */

#ifndef _BT_L2CAP_CONTYPE_DISPATCH_H_
#define _BT_L2CAP_CONTYPE_DISPATCH_H_

#include <sys/types.h>
#include <bt/bt_defs.h>
#include <bt/bt_hci_defs.h>

void bt_l2cap_contype_dispatch_register_co_con_table_cb(struct btstack *stack, HCI_CON_TABLE_CB, void *arg);

void bt_l2cap_contype_dispatch_register_cl_con_table_cb(struct btstack *stack, HCI_CON_TABLE_CB, void *arg);

void bt_l2cap_contype_dispatch_register_co_acl_cb(struct btstack *stack, HCI_ACL_CB, struct bt_hci_pkt_acl *pkt, void *arg);

void bt_l2cap_contype_dispatch_register_cl_acl_cb(struct btstack *stack, HCI_ACL_CB, struct bt_hci_pkt_acl *pkt, void *arg);

void bt_l2cap_contype_dispatch_init(void);

#endif
